<?php
/**
 * Favorites Template
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="favorites-info">

			<h1 class="favorites-title"><?php printf( __('Current Favorites (%1$s)', 'experimental'), $favorites_total ); ?></h1>

			<div class="favorites-description">
				<p><?php _e('Your favorites allow you to create a custom <acronym title="Relly Simple Syndication">RSS</acronym> feed which pulls recent replies to the topics you specify.  To add topics to your list of favorites, click the "Add to Favorites" link found on that topic\'s page', 'experimental'); ?></p>

				<?php if ( $user_id == bb_get_current_user_info( 'id' ) ) : ?>
					<p><?php printf(__('Subscribe to your favorites\' <a href="%s"><abbr title="Really Simple Syndication">RSS</abbr> feed</a>.', 'experimental'), attribute_escape( get_favorites_rss_link( bb_get_current_user_info( 'id' ) ) ) ); ?></p>
				<?php endif; ?>

			</div><!-- .favorites-description -->

		</div><!-- .favorites-info -->

		<?php if ( $topics ) : ?>

			<table class="favorites-table">

				<tr>
					<th><?php _e('Topics', 'experimental'); ?></th>
					<th class="num"><?php _e('Posts', 'experimental'); ?></th>
					<th class="num"><?php _e('Last Poster', 'experimental'); ?></th>
					<th class="num"><?php _e('Freshness', 'experimental'); ?></th>
					<th><?php _e('Remove', 'experimental'); ?></th>
				</tr>

			<?php foreach ( $topics as $topic ) : ?>

				<tr<?php topic_class(); ?>>
					<td><span class="topic-labels"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
					<td class="num"><?php topic_posts(); ?></td>
					<td class="num"><?php topic_last_poster(); ?></td>
					<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					<td class="num">[<?php user_favorites_link( '', array( 'mid' => '&times;' ), $user_id ); ?>]</td>
				</tr>

			<?php endforeach; ?>

			</table><!-- .favorites-table -->

			<div class="navigation-links"><?php favorites_pages(); ?></div>

		<?php else: ?>

			<?php if ( $user_id == bb_get_current_user_info( 'id' ) ) : ?>

				<p class="no-favorites"><?php _e('You currently have no favorites.', 'experimental'); ?></p>

			<?php else : ?>

				<p class="no-favorites"><?php printf( __('currently has no favorites.', 'experimental'), get_user_name( $user_id ) ); ?></p>

			<?php endif; ?>

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>