<?php
/**
 * Forum Template
 *
 * This template is used when viewing an individual forum.
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="forum-info">

			<h1 class="forum-title"><?php forum_name(); ?></h1>

			<div class="forum-description">
				<?php forum_description( array( 'before' => false, 'after' => false ) ); ?>
			</div><!-- .forum-description -->

		</div><!-- .forum-info -->

		<?php if ( $stickies || $topics ) : ?>

			<table class="forum-table">

				<tr<?php topic_class(); ?>>
					<th><?php _e('Topics', 'experimental'); ?> &#8212; <?php bb_new_topic_link(); ?></th>
					<th class="num"><?php _e('Posts', 'experimental'); ?></th>
					<th class="last_poster"><?php _e('Last Poster', 'experimental'); ?></th>
					<th class="num"><?php _e('Freshness', 'experimental'); ?></th>
				</tr>

			<?php if ( $stickies ) : ?>

				<?php foreach ( $stickies as $topic ) : ?>

					<tr<?php topic_class(); ?>>
						<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
						<td class="num"><?php topic_posts(); ?></td>
						<td class="num"><?php topic_last_poster(); ?></td>
						<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					</tr>

				<?php endforeach; ?>

			<?php endif; ?>

			<?php if ( $topics ) : ?>

				<?php foreach ( $topics as $topic ) : ?>

					<tr<?php topic_class(); ?>>
						<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
						<td class="num"><?php topic_posts(); ?></td>
						<td class="num"><?php topic_last_poster(); ?></td>
						<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					</tr>

				<?php endforeach; ?>

			<?php endif; ?>

			</table><!-- .forum-table -->

		<?php endif; ?>

		<p class="rss-link">
			<a href="<?php bb_forum_posts_rss_link(); ?>" class="rss-link"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr> feed for this forum', 'experimental'); ?></a>
		</p><!-- .rss-link -->

		<div class="navigation-links">
			<?php forum_pages(); ?>
		</div><!-- navigation-links -->

		<?php if ( bb_forums( $forum_id ) ) : ?>

			<table class="subforum-table">

				<tr>
					<th><?php _e('Subforum', 'experimental'); ?></th>
					<th class="num"><?php _e('Topics', 'experimental'); ?></th>
					<th class="num"><?php _e('Posts', 'experimental'); ?></th>
				</tr>

			<?php while ( bb_forum() ) : ?>

				<?php if ( bb_get_forum_is_category() ) : ?>

					<tr<?php bb_forum_class( 'bb-category' ); ?>>
						<td colspan="3"><?php bb_forum_pad( '<div class="nest">' ); ?><a href="<?php forum_link(); ?>"><?php forum_name(); ?></a><small><?php forum_description(); ?></small><?php bb_forum_pad( '</div>' ); ?></td>
					</tr>
					<?php continue; ?>

				<?php endif; ?>

					<tr<?php bb_forum_class(); ?>>
						<td><?php bb_forum_pad( '<div class="nest">' ); ?><a href="<?php forum_link(); ?>"><?php forum_name(); ?></a><small><?php forum_description(); ?></small><?php bb_forum_pad( '</div>' ); ?></td>
						<td class="num"><?php forum_topics(); ?></td>
						<td class="num"><?php forum_posts(); ?></td>
					</tr>

			<?php endwhile; ?>

			</table><!-- .subforum-table -->

		<?php endif; ?>

		<?php post_form(); // Loads post-form.php ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>