<?php
/**
 * Front Page Template
 *
 * This template is used when viewing the front page of the forums.
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

	<?php if ( $forums ) : ?>

		<?php if ( $super_stickies ) : ?>

			<table class="sticky-table">

				<tr<?php topic_class(); ?>>
					<th><?php _e('Announcements', 'experimental'); ?></th>
					<th class="num"><?php _e('Posts', 'experimental'); ?></th>
					<th class="last_poster"><?php _e('Last Poster', 'experimental'); ?></th>
					<th class="num"><?php _e('Freshness', 'experimental'); ?></th>
				</tr>

			<?php foreach ( $super_stickies as $topic ) : ?>

				<tr<?php topic_class(); ?>>
					<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
					<td class="num"><?php topic_posts(); ?></td>
					<td class="num"><?php topic_last_poster(); ?></td>
					<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
				</tr>

			<?php endforeach; ?>

			</table><!-- .sticky-table -->

		<?php endif; ?>

		<?php if ( $topics ) : ?>

			<table class="latest-table">

				<tr<?php topic_class(); ?>>
					<th><?php _e('Latest Topics', 'experimental'); ?> &#8212; <?php bb_new_topic_link(); ?></th>
					<th class="num"><?php _e('Posts', 'experimental'); ?></th>
					<th class="last_poster"><?php _e('Last Poster', 'experimental'); ?></th>
					<th class="num"><?php _e('Freshness', 'experimental'); ?></th>
				</tr>

				<?php foreach ( $topics as $topic ) : ?>

					<tr<?php topic_class(); ?>>
						<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
						<td class="num"><?php topic_posts(); ?></td>
						<td class="num"><?php topic_last_poster(); ?></td>
						<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					</tr>

				<?php endforeach; ?>

			</table><!-- .latest-table -->

		<?php endif; ?>

	<?php else : ?>

		<?php post_form(); // Loads post-form.php ?>

	<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>