<?php
/**
 * Functions for showing a breadcrumb menu
 *
 * @copyright 2008 - 2009
 * @version 0.1.1
 * @author Justin Tadlock
 * @link http://justintadlock.com
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Localized to match the Hybrid theme
 * _e('Text', 'hybrid')
 * __('Text', 'hybrid')
 *
 * @package BreadcrumbTrail
 */

function breadcrumb_trail( $args = array() ) {
	global $q;

	$defaults = array(
		'separator' => ' / ',
		'echo' => true,
		'before' => __('Browse:', 'experimental'),
	);

	$args = $defaults; // parse these two later

	extract( $args );

	$bb_breadcrumb_args = array( 'separator' => $separator );

	$breadcrumb = '<div class="breadcrumb breadcrumbs"><div class="breadcrumb-trail">';

	$breadcrumb .= $before . ' ';

	$breadcrumb .= '<a href="' . bb_get_option('uri') . '" title="' . bb_get_option( 'name' ) . '">' . bb_get_option( 'name' ) . '</a>';

	if ( is_topic() ) :
		$breadcrumb .= bb_get_forum_bread_crumb( $bb_breadcrumb_args ) . $separator . get_topic_title();

	elseif ( is_topic_edit() ) :
		$breadcrumb .= bb_get_forum_bread_crumb( $bb_breadcrumb_args ) . $separator . get_topic_title() . $separator . __('Edit', 'exp' );

	elseif ( is_forum() ) :
		$breadcrumb .= bb_get_forum_bread_crumb( $bb_breadcrumb_args );

	elseif ( is_bb_tag() ) :
		$breadcrumb .= $separator . '<a href="' . bb_get_tag_page_link() . '">' . __('Tags', 'exp') . '</a>' . $separator . bb_get_tag_name();

	elseif ( is_bb_tags() ) :
		$breadcrumb .= $separator . __('Tags', 'exp');

	elseif ( is_bb_favorites() ) :
		$breadcrumb .= $separator . __('Favorites', 'exp');

	elseif ( is_bb_profile() ) :
		$breadcrumb .= $separator . __('Profile', 'exp');

	elseif ( is_view() ) :
		$breadcrumb .= $separator . get_view_name();

	elseif ( is_front() ) :
		$breadcrumb .= '';

	elseif ( bb_get_location() == 'login-page' ) :
		$breadcrumb .= $separator . __('Log In', 'exp');

	elseif ( bb_get_location() == 'register-page' ) :
		$breadcrumb .= $separator . __('Register', 'exp');

	elseif ( bb_get_location() == 'register-success.php' ) :
		$breadcrumb .= $separator . __('Registration Successful', 'exp');

	elseif ( bb_get_location() == 'password-reset.php' ) :
		$breadcrumb .= $separator . __('Reset Password', 'exp');

	elseif ( is_bb_stats() ) :
		$breadcrumb .= $separator . __('Statistics', 'exp');

	elseif ( is_bb_search() ) :
		if ( !empty ( $q ) ) :
			$breadcrumb .= $separator . sprintf( __('Search results for "%1$s"', 'exp'), wp_specialchars( $q ) );
		else :
			$breadcrumb .= $separator . __('Search', 'exp');
		endif;

	else :
		$breadcrumb .= $separator . __('Not Found', 'exp');

	endif;

	$breadcrumb .= '</div></div>';

	if ( $echo )
		echo $breadcrumb;
	else
		return $breadcrumb;
}

?>