<?php
/**
 * Action hooks available throughout the theme
 * Custom functions can be added or removed
 * This can be done through child themes and/or plugins
 * @link http://themehybrid.com/themes/hybrid/hooks
 *
 * Action hooks should be defined and named by the order called (generated) relative to a theme element
 * Most 'before' action hooks appear just inside of the opening XHTML element it's named after
 * Most 'after' action hooks appear just inside of the closing XHTML element it's named after
 *
 * @package Hybrid
 * @subpackage Hooks
 */

/* Head actions. */
	add_action( 'bb_head', 'experimental_meta_description', 1 );
	add_action( 'bb_head', 'experimental_meta_keywords', 1 );

/* Header actions. */
	add_action( 'experimental_header', 'experimental_site_title' );
	add_action( 'experimental_header', 'experimental_site_description' );

/* Container actions. */
	add_action( 'experimental_after_container', 'experimental_get_primary' );
	add_action( 'experimental_after_container', 'experimental_get_secondary' );

/* Content actions. */
	add_action( 'experimental_before_content', 'breadcrumb_trail' );

/* Footer actions. */
	add_action( 'experimental_before_footer', 'experimental_get_subsidiary' );
	add_action( 'experimental_footer', 'experimental_footer_insert' );


function experimental_before_html() { do_action( 'experimental_before_html' ); }
function experimental_after_html() { do_action( 'experimental_after_html' ); }

function experimental_before_header() { do_action( 'experimental_before_header' ); }
function experimental_header() { do_action( 'experimental_header' ); }
function experimental_after_header() { do_action( 'experimental_after_header' ); }

function experimental_before_container() { do_action( 'experimental_before_container' ); }
function experimental_after_container() { do_action( 'experimental_after_container' ); }

function experimental_before_content() { do_action( 'experimental_before_content' ); }
function experimental_after_content() { do_action( 'experimental_after_content' ); }

function experimental_before_footer() { do_action( 'experimental_before_footer' ); }
function experimental_footer() { do_action( 'experimental_footer' ); }
function experimental_after_footer() { do_action( 'experimental_after_footer' ); }

?>