<?php
/**
 * Filter hooks available throughout the theme
 * Sets up the theme's default filters
 * Some functions are added here to WP and Hybrid filter hooks
 *
 * @package bbExperiment
 * @subpackage Hooks
 */



add_filter( 'bb_get_post_edit_link', 'exp_add_separator' );
add_filter( 'post_delete_link', 'exp_add_separator' );

function exp_add_separator( $input ) {
	$output = str_replace( '<a ', ' | <a ', $input );
	return $output;
}



function experimental_doctype() {
	$doctype = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">';
	echo apply_filters( 'experimental_doctype', $doctype );
}

function experimental_site_title() {
	$title = '<div id="site-title">';
	$title .= '<a href="' . bb_get_option( 'uri' ) . '" title="' . bb_get_option( 'name' ) . '"><span>' . bb_get_option( 'name' ) . '</span></a>';
	$title .= '</div><!-- #site-title -->';

	echo apply_filters( 'experimental_site_title', $title );
}

function experimental_site_description() {
	$desc = '<div id="site-description">';
	$desc .= bb_get_option( 'description' );
	$desc .= '</div>';

	echo apply_filters( 'experimental_site_description', $desc );
}

/** @todo Needs filter. */
function experimental_footer_insert() { ?>
			<p class="copyright">
				<?php _e('Copyright','rag'); ?> &#169; <?php print(date(__('Y','rag'))); ?> <a href="<?php bb_option('uri'); ?>" title="<?php bb_option('name'); ?>"><?php bb_option('name'); ?></a><br />
			<a href="http://www.webdesignfront.com" title="Website Development"><?php _e('Website Development','rag'); ?></a> <?php _e('by','rag'); ?> <a href="http://www.webdesignfront.com" title="<?php _e('Webdesign Front','rag'); ?>"><?php _e('Webdesign Front','rag'); ?></a> 
			</p><!-- .copyright -->

			<p class="credit">
				<?php _e('Powered by','rag'); ?> <a href="http://bbpress.org" title="<?php _e('Powered by bbPress, state-of-the-art semantic forum software','rag'); ?>"> <?php _e('bbPress','rag'); ?></a>.
			</p><!-- .credit -->
<?php }

?>