<?php

function widget_forums( $args = array() ) {

	$defaults = array(
		'forum_topics' => false,
		'forum_posts' => false,
		'forum_description' => false,
		'feed' => false,
	);
	$args = wp_parse_args( $args, $defaults );

?>

	<div class="widget">

		<div class="widget-inside">

			<h3 class="widget-title"><?php _e('Forums','rag'); ?></h3>

			<ul class="xoxo forums-list">

			<?php $forums = get_forums(); ?>
			<?php foreach ( $forums as $forum ) : ?>
				<li>
					<a class="forum-link" href="<?php forum_link( $forum->forum_id ); ?>"><?php forum_name( $forum->forum_id ); ?></a> 

					<?php if ( $args['forum_topics'] ) : ?>
						<span class="forum-posts"><?php printf( __('(%1$s topics)', 'experimental'), get_forum_topics( $forum->forum_id ) ); ?></span>
					<?php endif; ?>

					<?php if ( $args['forum_posts'] ) : ?>
						<span class="forum-posts"><?php printf( __('(%1$s posts)', 'experimental'), get_forum_posts( $forum->forum_id ) ); ?></span>
					<?php endif; ?>

					<?php if ( $args['feed'] ) : ?>
						<a href="<?php bb_forum_posts_rss_link( $forum->forum_id ); ?>" class="rss-link"><?php echo $args['feed']; ?></a>
					<?php endif; ?>

					<?php if ( $args['forum_description'] ) : ?>
						<br />
						<span class="forum-description"><?php echo forum_description( array( 'id' => $forum->forum_id, 'before' => false ) ); ?></span>
					<?php endif; ?>
				</li>
			<?php endforeach; ?>

			</ul><!-- .forums-list -->

		</div><!-- .widget-inside -->

	</div><!-- .widget -->

<?php

}

?>