<?php
/**
 * Log In Template
 *
 * @package Experimental
 * @subpackage Template
 */

/* Load error messages. */
$user_login_error = $bb_login_error->get_error_message( 'user_login' );
$user_email_error = $bb_login_error->get_error_message( 'user_email' );
$user_password_error = $bb_login_error->get_error_message( 'password' );

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="login-info">

			<h1 class="login-title"><?php isset( $_POST['user_login'] ) ? _e('Log in Failed', 'experimental') : _e('Log in', 'experimental') ; ?></h1>

			<div class="login-description">
				<p><?php _e('Please fill out the form below to log in to your account.', 'experimental'); ?></p>
			</div><!-- login-description -->

		</div><!-- login-info -->

		<form class="login-form" method="post" action="<?php bb_uri( 'bb-login.php', null, BB_URI_CONTEXT_FORM_ACTION + BB_URI_CONTEXT_BB_USER_FORMS ); ?>">

			<fieldset>

			 <?php if ( $user_login_error ) : ?>

				<p class="error"><?php echo $user_login_error; ?></p>

			<?php endif; ?>

			<?php if ( $user_email_error ) : ?>

				<p class="error"><?php echo $user_email_error; ?></p>

			<?php endif; ?>

				<p>
					<label for="user_login"><?php _e('Username:', 'experimental'); ?></label>
					<input class="text-input" name="user_login" id="user_login" type="text" value="<?php echo $user_login; ?>" />
				</p>

			<?php if ( $user_password_error ) : ?>

				<p class="error"><?php echo $user_password_error; ?></p>

			<?php endif; ?>

				<p>
					<label for="password"><?php _e('Password:', 'experimental'); ?></label>
					<input class="text-input" name="password" id="password" type="password" />
				</p>
				<p>
					<label for="remember"><?php _e('Remember me:', 'experimental'); ?></label>
					<input name="remember" type="checkbox" id="remember" value="1"<?php echo $remember_checked; ?> />
				</p>
				<p>
					<input name="re" type="hidden" value="<?php echo $redirect_to; ?>" />
					<input class="submit button" type="submit" value="<?php echo attribute_escape( isset( $_POST['user_login'] ) ? __('Try Again', 'experimental'): __('Log In', 'experimental') ); ?>" />
					<?php wp_referer_field(); ?>
				</p>

			</fieldset>

		</form><!-- .login-form -->

		<h2 id="passwordrecovery"><?php _e('Password Recovery', 'experimental'); ?></h2>

		<form class="password-recovery-form" method="post" action="<?php bb_uri( 'bb-reset-password.php', null, BB_URI_CONTEXT_FORM_ACTION + BB_URI_CONTEXT_BB_USER_FORMS ); ?>">

			<fieldset>
				<p>
					<?php _e('To recover your password, enter your information below.', 'experimental'); ?>
				</p>
				<p>
					<label for="user_login_reset_password"><?php _e('Username:', 'experimental'); ?></label>
					<input class="text-input" name="user_login" id="user_login_reset_password" type="text" value="<?php echo $user_login; ?>" />
				</p>
				<p>
					<input class="button submit" type="submit" value="<?php echo attribute_escape( __('Recover', 'experimental') ); ?>" />
				</p>
			</fieldset>

		</form><!-- .password-recovery-form -->

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>