<?php
/**
 * Password Reset Template
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<h1 class="password-reset-title"><?php _e('Password Reset', 'experimental'); ?></h1>

		<?php if ( $error ) : ?>

			<p class="notice error">
				<?php echo $error; ?>
			</p><!-- .notice .error -->

		<?php else : ?>

			<?php switch ( $action ) : ?>

				<?php case ( 'send_key' ) : ?>
					<p class="notice">
						<?php _e('An email has been sent to the address we have on file for you. If you don&#8217;t get anything within a few minutes, or your email has changed, you may want to get in touch with the webmaster or forum administrator here.', 'experimental'); ?>
					</p><!-- .notice -->
					<?php break; ?>

				<?php case ( 'reset_password' ) : ?>
					<p class="notice">
						<?php _e('Your password has been reset and a new one has been mailed to you.', 'experimental'); ?>
					</p><!-- .notice -->
					<?php break; ?>

			<?php endswitch; ?>

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>