<?php
/**
 * Post Form Template
 *
 * @package Experimental
 * @subpackage Template
 */
?>
	<?php if ( !is_topic() ) : ?>

		<p class="form-topic">
			<label for="topic"><?php _e('Topic title: (be brief and descriptive)', 'experimental'); ?></label>
			<input class="text-input" name="topic" type="text" id="topic" size="50" maxlength="80" tabindex="1" />
		</p><!-- .form-topic -->

	<?php endif; ?>

	<?php do_action( 'post_form_pre_post' ); ?>

		<p class="form-textarea">
			<label for="post_content"><?php _e('Enter your response.', 'experimental'); ?></label>
			<textarea name="post_content" cols="50" rows="8" id="post_content" tabindex="3"></textarea>
		</p><!-- .form-textarea -->

	<?php if ( !is_topic() ) : ?>

		<p class="form-tags">
			<label for="tags-input"><?php printf( __('Enter a few words (called <a href="%s" title="Tags">tags</a>) separated by commas to help someone find your topic:', 'experimental'), bb_get_tag_page_link() ); ?></label>
			<input class="text-input" id="tags-input" name="tags" type="text" size="50" maxlength="100" value="<?php bb_tag_name(); ?>" tabindex="4" />
		</p><!-- .form-tags -->

	<?php endif; ?>

	<?php if ( is_bb_tag() || is_front() ) : ?>

		<p class="form-forum-select">
			<label for="forum-id"><?php _e('Select a forum:', 'experimental'); ?></label>
			<?php bb_new_topic_forum_dropdown(); ?>
		</p><!-- .form-forum-select -->

	<?php endif; ?>

		<p class="form-submit">
			<input class="submit button" type="submit" id="postformsub" name="Submit" value="<?php echo attribute_escape( __('Submit', 'experimental') ); ?>" tabindex="4" />
		</p><!-- .form-submit -->

		<p class="allowed-markup">
			<?php _e('Allowed markup:', 'experimental'); ?> <code><?php allowed_markup(); ?></code>. <br /><?php _e('You can also put code in between backtick ( <code>`</code> ) characters.', 'experimental'); ?>
		</p><!-- .allowed-markup -->