<?php
/**
 * Profile Edit Template
 *
 * This template is used when viewing a single topic.
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="profile-edit-info profile-info">

			<h1 class="profile-edit-title"><?php echo get_user_display_name( $user->ID ); ?></h1>

		</div><!-- .profile-edit-info -->

		<form class="profile-edit-form" method="post" action="<?php profile_tab_link( $user->ID, 'edit' );  ?>">

			<fieldset>
				<legend><?php _e('Profile Info', 'experimental'); ?></legend>
				<?php bb_profile_data_form(); ?>
			</fieldset>

		<?php if ( bb_current_user_can( 'edit_users' ) ) : ?>

			<fieldset>
				<legend><?php _e('Administration', 'experimental'); ?></legend>
				<?php bb_profile_admin_form(); ?>
			</fieldset>

		<?php endif; ?>

		<?php if ( bb_current_user_can( 'change_user_password', $user->ID ) ) : ?>

			<fieldset>
				<legend><?php _e('Password', 'experimental'); ?></legend>
				<p><?php _e('To change your password, enter a new password twice below:', 'experimental'); ?></p>
				<?php bb_profile_password_form(); ?>
			</fieldset>

		<?php endif; ?>

			<p class="form-submit">
				<input type="submit" name="Submit" value="<?php echo attribute_escape( __('Update Profile &raquo;', 'experimental') ); ?>" />
			</p><!-- .form-submit -->

		</form><!-- .profile-edit-form -->

		<form class="profile-delete-form" method="post" action="<?php profile_tab_link( $user->ID, 'edit' );  ?>">

			<p class="form-submit">
				<?php bb_nonce_field( 'edit-profile_' . $user->ID ); ?>
				<?php user_delete_button(); ?>
			</p><!-- .form-submit -->

		</form><!-- .profile-delete-form -->

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>