<?php
/**
 * Profile Template
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="profile-info">

			<h1 class="profile-title"><span class="fn"><?php echo get_user_display_name( $user->ID ); ?></span> <span class="nickname">(<?php echo get_user_name( $user->ID ); ?>)</span></h1>

			<div class="profile-description">
				<?php echo bb_get_avatar( $user->ID ); ?>
		
			<?php if ( $updated ) : ?>

				<div class="profile-bio notice">
					<p><?php _e('Profile updated', 'experimental'); ?>. <a href="<?php profile_tab_link( $user_id, 'edit' ); ?>"><?php _e('Edit again &raquo;', 'experimental'); ?></a></p>
				</div><!-- .profile-bio .notice -->

			<?php elseif ( $user_id == bb_get_current_user_info( 'id' ) ) : ?>

				<div class="profile-bio">
					<p>
						<?php _e('This is how your profile appears to a logged in member.', 'experimental'); ?>

					<?php if ( bb_current_user_can( 'edit_user', $user->ID ) ) : ?>
						<?php printf(__('You may <a href="%1$s">edit this information</a>.', 'experimental'), attribute_escape( get_profile_tab_link( $user_id, 'edit' ) ) ); ?>
					<?php endif; ?>

					<?php if ( bb_current_user_can( 'edit_favorites_of', $user->ID ) ) : ?>
						<?php printf(__('You can also <a href="%1$s">manage your favorites</a> and subscribe to your favorites&#8217; <a href="%2$s"><abbr title="Really Simple Syndication">RSS</abbr> feed</a>.', 'experimental'), attribute_escape( get_favorites_link() ), attribute_escape( get_favorites_rss_link() ) ); ?>
					<?php endif; ?>

					</p>
				</div><!-- .profile-bio -->

			<?php endif; ?>

			</div><!-- .profile-description -->

		</div><!-- .profile-info -->

		<?php bb_profile_data(); ?>

		<div id="user-replies" class="user-recent">

			<h3><?php _e('Recent Replies', 'experimental'); ?></h3>

			<?php if ( $posts ) : ?>
				<ol>
				<?php foreach ($posts as $bb_post) : $topic = get_topic( $bb_post->topic_id ) ?>
					<li<?php alt_class( 'replies' ); ?>>
						<a href="<?php topic_link(); ?>"><?php topic_title(); ?></a><br />
						<span class="entry-meta">
						<?php if ( $user->ID == bb_get_current_user_info( 'id' ) ) printf( __('You last replied: %s ago.', 'experimental'), bb_get_post_time() ); else printf( __('User last replied: %s ago.', 'experimental'), bb_get_post_time() ); ?>
							<span class="freshness"><?php
							if ( bb_get_post_time( 'timestamp' ) < get_topic_time( 'timestamp' ) )
								printf( __('Most recent reply: %s ago', 'experimental'), get_topic_time() );
							else
								_e('No replies since.', 'experimental');
						?></span></span>
					</li><!-- .replies -->
				<?php endforeach; ?>
				</ol>
			<?php else : ?>

				<?php if ( $page ) : ?>
					<p><?php _e('No more replies.', 'experimental') ?></p>
				<?php else : ?>
					<p><?php _e('No replies yet.', 'experimental') ?></p>
				<?php endif; ?>

			<?php endif; ?>

		</div><!-- #user-replies .user-recent -->

		<div id="user-threads" class="user-recent">

			<h3><?php _e('Topics Started', 'experimental') ?></h3>

			<?php if ( $topics ) : ?>
				<ol>
				<?php foreach ($topics as $topic) : ?>
					<li<?php alt_class( 'topics' ); ?>>
					<a href="<?php topic_link(); ?>"><?php topic_title(); ?></a><br /><span class="entry-meta">
					<?php printf( __('Started: %s ago', 'experimental'), get_topic_start_time()) ; ?>
					<span class="freshness"><?php
						if ( get_topic_start_time( 'timestamp' ) < get_topic_time( 'timestamp' ) )
							printf( __('Most recent reply: %s ago.', 'experimental'), get_topic_time() );
						else
							_e('No replies.', 'experimental');
					?></span></span>
					</li><!-- .topics -->
				<?php endforeach; ?>
				</ol>

			<?php else : ?>

				<?php if ( $page ) : ?>
					<p><?php _e('No more topics posted.', 'experimental') ?></p>
				<?php else : ?>
					<p><?php _e('No topics posted yet.', 'experimental') ?></p>
				<?php endif; ?>

			<?php endif; ?>

		</div><!-- #user-threads .user-recent -->

		<div class="navigation-links">
			<?php profile_pages(); ?>
		</div><!-- .navigation-links -->

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>