<?php
/**
 * Register Template
 *
 * @package Experimental
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<h1 class="register-title"><?php _e('Register', 'experimental'); ?></h1>

		<?php if ( !bb_is_user_logged_in() ) : ?>

			<form class="register-form" method="post" action="<?php bb_uri( 'register.php', null, BB_URI_CONTEXT_FORM_ACTION + BB_URI_CONTEXT_BB_USER_FORMS ); ?>">

				<p>
					<?php _e('Your password will be emailed to the address you provide.', 'experimental'); ?>
				</p>
				<p>
					<span class="required">*</span> <?php _e('These items are <span class="required">required</span>.', 'experimental') ?>
				</p>

			<?php $user_login_error = $bb_register_error->get_error_message( 'user_login' ); ?>

			<?php if ( $user_login_error ) : ?>

				<p class="error"><?php echo $user_login_error; ?></p>

			<?php endif; ?>

				<p>
					<label for="user_login"><span class="required">*</span> <?php _e('Username:', 'experimental'); ?></label>
					<input class="text-input" name="user_login" type="text" id="user_login" size="30" maxlength="30" value="<?php echo $user_login; ?>" />
				</p>

				<?php if ( is_array($profile_info_keys) ) :
					foreach ( $profile_info_keys as $key => $label ) :
						$class = '';
						if ( $label[0] ) {
							$class .= 'required';
							$label[1] = '<span class="required">*</span> ' . $label[1];
						}
						if ( $profile_info_key_error = $bb_register_error->get_error_message( $key ) )
						$class .= ' error';
				?>

					<p <?php if ( $class ) echo "class='$class'"; ?>>
						<label for="<?php echo $key; ?>"><?php echo $label[1]; ?>:</label>
						<input class="text-input" name="<?php echo $key; ?>" type="text" id="<?php echo $key; ?>" size="30" maxlength="140" value="" />
						<?php if ( $profile_info_key_error ) echo "<br />$profile_info_key_error"; ?>
					</p>

					<?php endforeach; // profile_info_keys ?>

				<?php endif; ?>

				<?php do_action( 'extra_profile_info', $user ); ?>

				<p class="form-submit">
					<input class="submit button" type="submit" name="Submit" value="<?php echo attribute_escape( __('Register &raquo;', 'experimental') ); ?>" />
				</p><!-- .form-submit -->

			</form><!-- .register-form -->

		<?php else : ?>

			<p class="logged-in">
				<?php _e('You&#8217;re already logged in, why do you need to register?', 'experimental'); ?>
			</p><!-- .logged-in -->

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>