<?php
/**
 * Register Success Template
 *
 * @package bbExperiment
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="search-info">

			<?php if ( !empty ( $q ) ) : ?>
				<h1 class="search-title"><?php echo wp_specialchars($q); ?></h1>
			<?php else : ?>
				<h1 class="search-title">Search</h1>
			<?php endif; ?>

			<div class="search-description">
				<?php if ( !empty ( $q ) ) : ?>
					<p>You are viewing the search results for &#8220;<?php echo wp_specialchars($q); ?>.&#8221;</p>
				<?php else : ?>
					<p>Feel free to search the forums.</p>
				<?php endif; ?>
			</div><!-- .search-description -->

		</div><!-- .search-info -->

		<?php bb_topic_search_form(); // Loads search-form.php ?>

		<?php if ( $recent ) : ?>

			<h2><?php _e('Recent Posts')?></h2>

			<ol class="results recent-posts">

			<?php foreach ( $recent as $bb_post ) : ?>

				<li><a href="<?php post_link(); ?>"><?php topic_title($bb_post->topic_id); ?></a>
				<br />
				<span class="entry-meta"><?php _e('Posted') ?> <?php echo bb_datetime_format_i18n( bb_get_post_time( array( 'format' => 'timestamp' ) ) ); ?></span>
				<p><?php echo bb_show_context($q, $bb_post->post_text); ?></p>
				</li>

			<?php endforeach; ?>

			</ol><!-- .results .recent-posts -->

		<?php endif; ?>

		<?php if ( $relevant ) : ?>

			<h2><?php _e('Relevant posts')?></h2>

			<ol class="results relevant-posts">

			<?php foreach ( $relevant as $bb_post ) : ?>

				<li><a href="<?php post_link(); ?>"><?php topic_title($bb_post->topic_id); ?></a>
				<br />
				<span class="entry-meta"><?php _e('Posted') ?> <?php echo bb_datetime_format_i18n( bb_get_post_time( array( 'format' => 'timestamp' ) ) ); ?></span>
				<p><?php post_text(); ?></p>
				</li>

			<?php endforeach; ?>

			</ol><!-- .results .relevant-posts -->

		<?php endif; ?>

		<?php if ( $q && !$recent && !$relevant ) : ?>

			<p class="search-no-results"><?php _e('No results found.') ?></p>

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>