<?php
/**
 * Stats Template
 *
 * @package bbExperiment
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<h1 class="stats-title"><?php _e('Statistics'); ?></h1>

		<dl>
			<dt><?php _e('Registered Users'); ?></dt>
			<dd class="total-users"><?php total_users(); ?></dd>

			<dt><?php _e('Posts'); ?></dt>
			<dd class="total-posts"><?php total_posts(); ?></dd>
		</dl>

		<?php if ( $popular ) : ?>

			<h2><?php _e('Most Popular Topics'); ?></h2>

			<ol class="popular-topics">

			<?php foreach ( $popular as $topic ) : ?>
				<li><span class="topic-labels"><?php bb_topic_labels(); ?></span> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a> &#8212; <?php topic_posts(); ?> posts</li>
			<?php endforeach; ?>

			</ol><!-- .popular-topics -->

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>