<?php
/**
 * Tag Single Template
 *
 * @package bbExperiment
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="tag-info">

			<h1 class="tag-title"><?php bb_tag_name(); ?></h1>

			<div class="tag-description">
				<p>You are viewing the topics tagged "<?php bb_tag_name(); ?>."</p>
			</div><!-- .tag-description -->

		</div><!-- .tag-info -->

		<?php do_action( 'tag_above_table' ); ?>

		<?php if ( $topics ) : ?>

			<table title="tag-table">

				<tr>
					<th><?php _e('Topics'); ?> &#8212; <?php bb_new_topic_link(); ?></th>
					<th><?php _e('Posts'); ?></th>
					<th><?php _e('Last Poster'); ?></th>
					<th><?php _e('Freshness'); ?></th>
				</tr>

			<?php foreach ( $topics as $topic ) : ?>

				<tr<?php topic_class(); ?>>
					<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
					<td><?php topic_posts(); ?></td>
					<td><?php topic_last_poster(); ?></td>
					<td><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
				</tr>

			<?php endforeach; ?>

			</table><!-- .tag-table -->

		<?php endif; ?>

		<p class="rss-link">
			<a href="<?php bb_tag_rss_link(); ?>" class="rss-link"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr> link for this tag'); ?></a>
		</p><!-- .rss-link -->

		<div class="navigation-links">
			<?php tag_pages(); ?>
		</div><!-- .navigation-links -->

		<?php post_form(); // Loads post-form.php ?>

		<?php do_action( 'tag_below_table' ); ?>

		<?php manage_tags_forms(); ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>