<?php
/**
 * Topic Template
 *
 * This template is used when viewing a single topic.
 *
 * @package bbExperiment
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<h1<?php topic_class( 'topic-title' ); ?>><?php topic_title(); ?></h1>

		<?php do_action('under_title'); ?>

		<?php if ( $posts ) : ?>

			<div id="ajax-response"></div><!-- What's this for? -->

			<ol id="thread" class="list:post">

			<?php foreach ( $posts as $bb_post ) : $del_class = post_del_class(); ?>

				<li id="post-<?php post_id(); ?>"<?php alt_class( '.hentry post', post_del_class() ); ?>>
					<?php bb_post_template(); ?>
				</li><!-- .hentry .post -->

			<?php endforeach; ?>

			</ol><!-- #thread -->

			<div class="navigation-links"><?php topic_pages(); ?></div>

		<?php endif; ?>

		<?php if ( topic_is_open( $bb_post->topic_id ) ) : ?>

			<?php post_form(); // Loads post-form.php ?>

		<?php else : ?>

			<h2 class="topic-title topic-closed-title"><?php _e('Topic Closed') ?></h2>

			<p class="topic-closed">
				<?php _e('This topic has been closed to new replies.') ?>
			</p><!-- .topic-closed -->

		<?php endif; ?>

		<?php if ( bb_current_user_can( 'delete_topic', get_topic_id() ) || bb_current_user_can( 'close_topic', get_topic_id() ) || bb_current_user_can( 'stick_topic', get_topic_id() ) || bb_current_user_can( 'move_topic', get_topic_id() ) ) : ?>

			<div class="admin">
				<?php bb_topic_admin(); ?>
			</div><!-- .admin -->

		<?php endif; ?>

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>