<?php
/**
 * View Template
 *
 * @package bbExperiment
 * @subpackage Template
 */

bb_get_header(); // Loads header.php ?>

	<div id="content" class="content hfeed">

		<?php experimental_before_content(); // Before content hook ?>

		<div class="view-info">

			<h1 class="view-title"><?php view_name(); ?></h1>

			<div class="view-description">
				<p>You are viewing topics filed under "<?php view_name(); ?>."</p>
			</div><!-- .view-description -->

		</div><!-- .view-info -->

		<?php if ( $stickies || $topics ) : ?>

			<table class="view-table">

				<tr<?php topic_class(); ?>>
					<th><?php _e('Topics'); ?></th>
					<th class="num"><?php _e('Posts'); ?></th>
					<th class="num"><?php _e('Last Poster'); ?></th>
					<th class="num"><?php _e('Freshness'); ?></th>
				</tr>

			<?php if ( $stickies ) : ?>

				<?php foreach ( $stickies as $topic ) : ?>

					<tr<?php topic_class(); ?>>
						<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
						<td class="num"><?php topic_posts(); ?></td>
						<td class="num"><?php topic_last_poster(); ?></td>
						<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					</tr>

				<?php endforeach; ?>

			<?php endif; ?>

			<?php if ( $topics ) : ?>

				<?php foreach ( $topics as $topic ) : ?>

					<tr<?php topic_class(); ?>>
						<td><span class="topic-label"><?php bb_topic_labels(); ?></span> <a class="topic-link" href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
						<td class="num"><?php topic_posts(); ?></td>
						<td class="num"><?php topic_last_poster(); ?></td>
						<td class="num"><a href="<?php topic_last_post_link(); ?>"><?php topic_time(); ?></a></td>
					</tr>

				<?php endforeach; ?>

			<?php endif; ?>

			</table><!-- .view-table -->

		<?php endif; ?>

		<p class="rss-link">
			<a href="<?php bb_view_rss_link(); ?>" class="rss-link"><?php _e('<abbr title="Really Simple Syndication">RSS</abbr> feed for this view'); ?></a>
		</p><!-- .rss-link -->

		<div class="navigation-links">
			<?php view_pages(); ?>
		</div><!-- .navigation-links -->

		<?php experimental_after_content(); // After content hook ?>

	</div><!-- #content .hfeed -->

<?php bb_get_footer(); // Loads footer.php ?>